Loading...
Searching...
No Matches
osmo_fsm_state Struct Reference
Finite State Machine abstraction

description of a rule in the FSM More...

`#include <fsm.h>`

## Data Fields

uint32_t | in_event_mask
| bit-mask of permitted input events for this state
uint32_t | out_state_mask
| bit-mask to which other states this state may transiton
const char * | name
| human-readable name of this state
void(* | action )(struct osmo_fsm_inst *fi, uint32_t event, void *data)
| function to be called for events arriving in this state
void(* | onenter )(struct osmo_fsm_inst *fi, uint32_t prev_state)
| function to be called just after entering the state
void(* | onleave )(struct osmo_fsm_inst *fi, uint32_t next_state)
| function to be called just before leaving the state

## Detailed Description

description of a rule in the FSM

## Field Documentation

## action

void(* osmo_fsm_state::action) (struct osmo_fsm_inst *fi, uint32_t event, void *data)

function to be called for events arriving in this state

Referenced by _osmo_fsm_inst_dispatch().

## in_event_mask

uint32_t osmo_fsm_state::in_event_mask

bit-mask of permitted input events for this state

Referenced by _osmo_fsm_inst_dispatch().

## name

const char* osmo_fsm_state::name

human-readable name of this state

Referenced by osmo_fsm_state_name().

## onenter

void(* osmo_fsm_state::onenter) (struct osmo_fsm_inst *fi, uint32_t prev_state)

function to be called just after entering the state

Referenced by state_chg().

## onleave

void(* osmo_fsm_state::onleave) (struct osmo_fsm_inst *fi, uint32_t next_state)

function to be called just before leaving the state

Referenced by state_chg().

## out_state_mask

uint32_t osmo_fsm_state::out_state_mask

bit-mask to which other states this state may transiton

Referenced by state_chg().

The documentation for this struct was generated from the following file:

- include/osmocom/core/fsm.h